@import '../../../../lib/scss/abstracts/variables';
@import '../../../../lib/scss/abstracts/extends';


.components-wpez-blocks-button-group-color-combos{

	&__field{

		// "reset" the original button
		.components-button.is-button{
			background-color: transparent;
			padding: 0;
			margin-bottom: .5em;
			height: auto;
			line-height:0;
		}

		.components-button.is-button:focus,
		.components-button.is-button:hover{
			background-color: transparent;
			border-color: transparent;
			box-shadow: none
		}

		.components-button.is-button:first-child,
		.components-button.is-button,
		.components-button.is-button:last-child{
			border-radius: 4px
		}

		// now...let's go!

		.is-button{
			border: 0;
			box-shadow: none
		}

		.wpez-btn-faux{
			@extend %button;
			display: inline-block;
			border-radius: 3px;
			padding-right: .2em;
			padding-bottom: .1em;
			padding-left: .1em;
		}

		.wpez-btn-faux:hover{
			@extend %button-hover;
		}

		.is-primary .wpez-btn-faux{
			@extend %button-primary;
		}


		.wpez-btn-faux{
			display: block
		}

		&.columns-1{
			.item_wrapper{
				display: block
			}
		}

		// TODO - mixin
		&.columns-2{
			.item_wrapper{
				width: 50%;
				display: inline-block
			}
		}

		&.columns-3{
			.item_wrapper{
				width: 33.33%;
				display: inline-block
			}
		}

		&.columns-4{
			.item_wrapper{
				width: 25%;
				display: inline-block
			}
		}

		&.columns-5{
			.item_wrapper{
				width: 20%;
				display: inline-block
			}
		}

		&.orientation-portrait{

			.components-button-group{
				width: 100%
			}

			button.is-button{
				height: auto;
				padding:0
			}

			button.is-button.is-primary .component-color-indicator,
			button.is-button .component-color-indicator{
				display: block;
			}
		}


	.is-button.is-large .component-color-indicator{
		height: 28px;
		width: 28px;
		border-radius: 50%;
		margin-top: .4em;
		margin-right: .2em;
		margin-bottom: .3em;
		margin-left: .3em;
		border: 0px;
		display: inline-block;
		position: relative;
	}

	.is-button.is-large .component-color-indicator:after{
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		border-radius: 50%;
		box-shadow: inset 0 0 0 1px rgba(0,0,0,.2);
	}

	.is-button.is-large .wpez-blocks-btn-text{
		line-height: 2.7em;
		margin: 0 0 0 .5em;
	}

	.is-primary.is-button.is-large .wpez-blocks-btn-text{
		color: $black;
		text-shadow: none;
	}


	.is-primary.is-button.is-large .wpez-btn-faux:hover .component-color-indicator,
	.is-button.is-large .wpez-btn-faux:hover .component-color-indicator{
		transform: scale(1.2);
		transition: transform .15s ease;
	}

	.is-button .wpez-btn-faux:focus,
	.is-button.is-primary .wpez-btn-faux{
		.component-color-indicator{
		transform: scale(1.2);
		}

	}

}
	&__label{
		display: block
	}
}
